{
  "factory": {
    "id": "abstract-audit-jaas-login-module",
    "type": "entaxy.security.jaas.loginmodule",
    "description": "Abstract audit JAAS login module",
    "isAbstract": true,
    "parent": "abstract-jaas-login-module",
    "label": "security,jaas,audit",
    "category": ""
  },
  "entaxy.security.jaas.loginmodule": {},
  "fields": {
    "module_enabled": {
      "displayName": "Module Enabled",
      "description": "A Checkbox that activates or deactivates a JAAS security module. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/security/security-jaas.html\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://karaf.apache.org/manual/latest/security\">Karaf docs</a>",
      "type": "Boolean",
      "required": true,
      "defaultValue": false
    }
  },
  "outputs": {
    "init": {
      "fields": {
        "module_enabled": {}
      }
    }
  }
}
